Subject: RE: Cannot run N32 binaries.

From: "Kaz Kylheku" <[email-masked]>
Date: Wed, 1 Nov 2006 08:32:27 -0800

Ilya A. Volynets-Evenbakh wrote:
> Could be looking for non-existant ld.so.1 (do you have N32 
> version of it
> in /lib32?)

That is correct. If I make a /lib32 -> lib symbolic link, everything
runs.

I actually built the libs under /lib, but I did not realize that ld
simply writes a hard-coded path for the dynamic linker into executables.

That is to say, I built an all-n32 system, using /lib and /usr/lib.

This is elegant, but probably a bad idea, so I will go back to the
/lib32 scheme.